• Welcome to the Lightroom Queen Forums! We're a friendly bunch, so please feel free to register and join in the conversation. If you're not familiar with forums, you'll find step by step instructions on how to post your first thread under Help at the bottom of the page. You're also welcome to download our free Lightroom Quick Start eBooks and explore our other FAQ resources.
  • Stop struggling with Lightroom! There's no need to spend hours hunting for the answers to your Lightroom 6 questions. All the information you need is in Adobe Lightroom 6 - The Missing FAQ!

    To help you get started, there's a series of easy tutorials to guide you through a simple workflow. As you grow in confidence, the book switches to a conversational FAQ format, so you can quickly find answers to advanced questions. When you upgrade to subscription, there's also a Lightroom Classic version available.

LR 2.6 RC expired, LR won't open at all

Status
Not open for further replies.

nycbird

New Member
Joined
Oct 22, 2009
Messages
21
Location
NYC
Hello kind people,

My LR 2.6 RC expired and I just get an error message: "This Beta version of Lightroom has expired. The application will now quit." I can't open LR at all.

Could anyone suggest to me what I should do now? I have a licensed copy of LR 2, do I have to reinstall it? If that is the case, would you be so kind as to tell me how so I don't screw up my catalogs?

Thank you so much!
 
Joined
Jun 20, 2009
Messages
18,042
Location
Houston, TX USA
Lightroom Experience
Power User
Lightroom Version
Cloud Service
Your catalog should be fine. You can locate it (them?) by searching for the files with the .lrcat Extension. ( don't tremember exactly where this is stored on a Mac, but Others will probably volunteer this info.) You can make a copy and store it in your backup folder. Then D/L and install the final released version of LR 2.6 from the adobe website. You might need to apply the LR 2 license code, but if you have installes and registered an earlier version of LR 2 this will probably be un necessary.
 
Joined
Oct 7, 2007
Messages
4,629
Location
Paradise
Lightroom Experience
Power User
Lightroom Version
If you do not have any other versions on your Mac than the 2.6, yes then you will probably need to install your LR2 version and upgrade via the Updater in the Help menu.You won't loose anything.In future you can easily keep more than one version on your Mac - just change the name in the Applications folder for each version to something like LR 2.' 'r 2.6. This will save versions being overwritten.The option of d/loading the current version and adding the serial number is probably the best!! But still rename it!! - Thanks Cletus!! :)
 

mrgooch

Active Member
Joined
Oct 20, 2009
Messages
161
Location
Toms River NJ
Lightroom Experience
Advanced
Lightroom Version
Can someone please explain what has happened? I have the windows version.It was updated to ver.2.6 RC when it came out.Today when I try to open Lightroom,it tells me the Beta version has expired and I can no longer open it.
 
Status
Not open for further replies.
Top